Windows 7 Install Net Framework 3.5 Sp1 on Windows7

Discussion in 'Programming and Scripting' started by turibbio, Jun 27, 2009.

  1. turibbio

    turibbio New Member

    Joined:
    Jun 27, 2009
    Messages:
    12
    Hi all, I'm tryng to install net framework 3.5 sp1 on Windows 7 RC, but I'm having problem. It appears to me an alert to install and configuring net framework by activating or disactivating windows funcionality.
    The error is:

    'You must use "Turn Windows features on or off" in the Control Panel to install or configure Microsoft .Net Framework 3.5 SP1"

    Any help or maybe suggestion or link to the right version of net framework 3.5 sp1 to install?


    Thanks in advance!
  2. The Dude

    The Dude New Member

    Joined:
    May 14, 2009
    Messages:
    48
    I do believe dot net framework is included in Windows 7. I think thats what that error message is telling you. Do what it says and have a look in control panel for anything related to Dot Net Framework. I'm not at a Windows 7 PC at the moment so I can't verify it.
  3. textureDnB

    textureDnB New Member

    Joined:
    Jun 29, 2009
    Messages:
    652
    i believe your correct perhaps it's a plug in for a browser that the OP requires? Was there a prompt somewhere recommending to install it?
  4. blanch

    blanch New Member

    Joined:
    Aug 26, 2009
    Messages:
    4
    I have the same problem as stated here. I am trying to download a program for one of my classes (DyKnow) and a prompt appears when I try to download it that says "Microsoft .NET Framework 3.5 SP1 must be installed to continue installation". So I go online and I search for this and try to download it. I got the same message about "turn on or off features" and I fixed that problem. However, when it goes to install this program ir errors out every time (without giving me a specific error). It just says error and aborts.

    Any help at all would be fantastic because I have to have this program installed by next week...
  5. blanch

    blanch New Member

    Joined:
    Aug 26, 2009
    Messages:
    4
    Just did it again to find exactly what went wrong. It downloads and then installs, and the status bar goes all the way to the end, then it just pops up and says Setup Error and gives me one button to push, exit.
  6. indra0579

    indra0579 New Member

    Joined:
    Sep 14, 2009
    Messages:
    2
    Same problem

    Hi.

    I also have same problem. When i tried to install dotnet 3.5.1, an error occured. It says: must turn on from windows features on and off...

    so, i open the windows features and click the dotnet 3.5.1 checkbox but error occured again. It says: not all feature succesfully changed...

    i also have use the dotnet cleanup tool and reinstall it again.. but the same errorr occured..
  7. gavin19

    gavin19 New Member

    Joined:
    Aug 8, 2009
    Messages:
    446
    As was mentioned, .Net 3.5 SP1 is already installed, it's the standard for W7. Whatever this program is, it's at fault for not recognising that 3.5 is installed. Perhaps it's just not compatible with W7 and it can't determine if 3.5 is installed or not? What is the program that you are having trouble with so other people can try and compare? You could always download XP mode and 3.5 SP1 for XP and then install it there.
  8. Caladria

    Caladria New Member

    Joined:
    Oct 1, 2009
    Messages:
    2
    Hey all , I have the same problem with the .NET Framework.

    If it is as you say and framework is already installed on windows 7 , why when I install the MMO game I am playing and i run the client it says : You need to have a .NET Framework version installed to ur pc ??
  9. gavin19

    gavin19 New Member

    Joined:
    Aug 8, 2009
    Messages:
    446
    Maybe it specifically relies on an older version of the framework and it is searching for one that isn't present? Or maybe it isn't compatible with Windows 7 and can't communicate properly? Both highly speculative. Try installing it in compatibilty mode for XP or Vista?
  10. andre

    andre New Member

    Joined:
    Oct 25, 2009
    Messages:
    2
    i get the turn on/off .net error.. anybody solved this already? really need to install autocad for work
  11. Shanoqueeb

    Shanoqueeb New Member

    Joined:
    Nov 9, 2009
    Messages:
    2
    I had the same problem, but windows 7 has .net 3.5.1 already installed, i kept trying to install some programs and it wouldn't let me saying that .net 3.0 or higher needed to be installed.

    This is how i fixed it;

    Go to: start/control panel/programs and features

    On the top left you should see "Turn windows features on or off" click on that

    Find "Microsoft .NET framework 3.5.1" when the window opens

    Click the + sign next to it to expand it so you can now see:

    "Windows Communication Foundation HTTP Activation"
    "Windows Communication Foundation HTTP non-Activation"

    Make sure there is a tick in both boxes and select OK.

    Hope that helps.
  12. Inassharaf

    Inassharaf New Member

    Joined:
    Nov 13, 2009
    Messages:
    4
    Urgently Needed

    I tried to install .net framework SP1on windows 7 but it doesn't work. i turned the windows feature and i downloaded windows Sdk for windows 7 but all these doesn't work. I want anyone help me to send me link and how to download it.
  13. Inassharaf

    Inassharaf New Member

    Joined:
    Nov 13, 2009
    Messages:
    4
    Again

    Sorry i wanna notify u that i have windows 7 ultimate not professional
  14. Pericles

    Pericles New Member

    Joined:
    Nov 27, 2009
    Messages:
    2
    "Windows Communication Foundation HTTP Activation"
    "Windows Communication Foundation HTTP non-Activation"

    These are by default unchecked for me. When I check them, I get the following message:

    "An error has occurred. Not all of the features were successfully changed." When I click ok, I says it needs to restart to apply the changes. After restarting and going back to the same places, the above two boxes are still unchecked.

    Any information as to why this might be and what can be done to ratify the situation would be most welcome. I need to open a program which requires Net Framework.

    Thank you.
  15. 2ji8888

    2ji8888 New Member

    Joined:
    Dec 2, 2009
    Messages:
    8

    same deal.. tried to remove .net 3.5 using a cleanup tool from Aaron Stebner's WebLog : .NET Framework Cleanup Tool User's Guide

    software says it was successful in removing all .net framework from 1.0-3.5, apparently when i check program and featues, still Microsoft .net 3.5 is present.

    tried to enable all feature in Microsoft .net 3.5 in safe mode still the same thing

    right now, im at a loss, i dnt know what do to next... im trying to run programs using .net 3.5 plus rockstar game social club launcher for GTA 4 requires 3.5.

    pls help me.. thank you.. reply asap...
    Last edited: Dec 3, 2009
  16. 2ji8888

    2ji8888 New Member

    Joined:
    Dec 2, 2009
    Messages:
    8
    hi drew, thanks for the prompt reply.. says on the download screen its for .net 3.0 will this work on windows 7 .net 3.5? sorry about too many questions..
  17. 2ji8888

    2ji8888 New Member

    Joined:
    Dec 2, 2009
    Messages:
    8
    apparently, steps didnt work.. any other ideas? pls pls pls. i really need .net 3.5 working on my PC. thank you.
  18. 2ji8888

    2ji8888 New Member

    Joined:
    Dec 2, 2009
    Messages:
    8
    unable to turn on all features... that's what i get all the time. i even installed .net 4.0 beta and still the program i need to run is still not working... its either i downgrade to XP or reformat my win7. tnx for all the help.
  19. bory

    bory New Member

    Joined:
    Dec 10, 2009
    Messages:
    6
    Hi Drew,

    I have the same problem with .NET 3.5 SP1 on Windows 7. Did you find any solution?
    I just don't want to come back to XP :-(

    Thanks
  20. bory

    bory New Member

    Joined:
    Dec 10, 2009
    Messages:
    6
    Hi Drew,

    Thanks for your answer. Already did the part with the checkbox& reboot but still the same problem appears.
    Looking into View Update History there is no .NET available also if I Check for Available Windows Updates, including Optionals there is no .NET listed.
    Am I missing something?

    Thanks a lot for your help,
    Bory


Share This Page